| OpenMS 2.5.0

DigestorMotif

This application is used to digest a protein database to get all peptides given a cleavage enzyme. It will also produce peptide statistics given the mass accuracy of the instrument. You can extract peptides with specific motifs,e.g. onyl cysteine containing peptides for ICAT experiments. At the moment only trypsin is supported.

Note
  Currently mzIdentML (mzid) is not directly supported as an input/output format of this tool. Convert mzid files to/from idXML using IDFileConverter if necessary.

The command line parameters of this tool are:

    DigestorMotif -- digests a protein database in-silico

    Full documentation: http://www.openms.de/documentation/UTILS_DigestorMotif.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      DigestorMotif <options>

    Options (mandatory options marked with '*'):

      -in <file>*                 FASTA input file (valid formats: 'fasta')

      -out <file>*                Output file (peptides)

                                  (valid formats: 'idXML')

      -missed_cleavages <number>  The number of allowed missed cleavages (default: '1' min: '0')

      -mass_accuracy <number>     Give your mass accuracy in ppb (default: '1000')

      -min_length <number>        Minimum length of peptide (default: '6')

      -out_option <number>        Indicate 1 (peptide table only), 2 (statistics only) or (both peptide table +

                                  statistics) (default: '1')

      -enzyme <cleavage site>     The enzyme used for peptide digestion. (default: 'Trypsin' valid: 'Arg-C/P',

                                  'Asp-N', 'Trypsin', 'Arg-C', 'iodosobenzoate', 'staphylococcal protease/D',

                                  'proline-endopeptidase/HKR', 'cyanogen-bromide', 'Lys-C/P', 'Glu-C+P', 'PepsinA

                                  + P', 'proline endopeptidase', 'Clostripain/P', 'Alpha-lytic protease', 'TrypC

                                  hymo', 'Chymotrypsin/P', 'Asp-N/B', 'Formic_acid', 'PepsinA', '2-iodobenzoate',

                                  'Trypsin/P', 'leukocyte elastase', 'glutamyl endopeptidase', 'Asp-N_ambic',

                                  'Chymotrypsin', 'V8-DE', 'Lys-C', 'CNBr', 'V8-E', 'Lys-N', 'unspecific cleavage

                                  ', 'elastase-trypsin-chymotrypsin', 'no cleavage')

      -motif <string>             The motif for the restricted peptidome (default: 'M')

    Common UTIL options:

      -ini <file>                 Use the given TOPP INI file

      -threads <n>                Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>           Writes the default configuration file

      --help                      Shows options

      --helphelp                  Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+DigestorMotif digests a protein database in-silico
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'DigestorMotif'
in FASTA input file input file*.fasta
out output file (peptides)
output file*.idXML
missed_cleavages 1 the number of allowed missed cleavages 0:∞
mass_accuracy 1000 give your mass accuracy in ppb
min_length 6 minimum length of peptide
out_option 1 indicate 1 (peptide table only), 2 (statistics only) or (both peptide table + statistics)
enzyme Trypsin The enzyme used for peptide digestion.Arg-C/P,Asp-N,Arg-C,Trypsin,staphylococcal protease/D,TrypChymo,leukocyte elastase,CNBr,Asp-N_ambic,proline-endopeptidase/HKR,Glu-C+P,proline endopeptidase,Chymotrypsin,Lys-C/P,V8-E,Trypsin/P,PepsinA + P,cyanogen-bromide,Clostripain/P,PepsinA,Formic_acid,Lys-N,V8-DE,Alpha-lytic protease,Asp-N/B,glutamyl endopeptidase,2-iodobenzoate,Lys-C,iodosobenzoate,Chymotrypsin/P,elastase-trypsin-chymotrypsin,unspecific cleavage,no cleavage
motif M the motif for the restricted peptidome
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false